FROM {{base_image}}
{% from 'macros.jinja' import repository %}
MAINTAINER {{maintainer}}

{% if with_cowsay %}
RUN apt update && apt install -y cowsay && apt clean
{% endif %}

{% if with_nonroot %}
RUN addgroup --system nonroot && \
  adduser --system nonroot --ingroup nonroot && \
  mkdir -p /home/nonroot && \
  usermod -d /home/nonroot nonroot && \
  chown nonroot:nonroot /home/nonroot
{% endif %}

RUN echo 'export PS1="🐳 \e[0;34m({{name}}:\${DOCKER_IMAGE_TAG:-tag-unknown})\e[0m ${PS1:-}"' >> /etc/bash.bashrc

COPY bin/_entrypoint.sh /usr/bin/_entrypoint.sh
ENTRYPOINT ["/usr/bin/_entrypoint.sh"]
CMD {% if with_cowsay %}echo "hello in:\n{{repository(registry, group, name)}}" | /usr/games/cowsay && {% endif %}/bin/bash --init-file /etc/bash.bashrc
